;-------------------------------------------------------------------------------
; Configuration with EXOMIZER loading
;-------------------------------------------------------------------------------

LONG_NAMES      = 1             ;Set to nonzero to use long names (pointer in
                                ;X,Y) or zero to use 2-letter names (letters
                                ;in X,Y)
BORDER_FLASHING = 0             ;Set to nonzero to enable border flashing
                                ;when fastloading :)
ADDITIONAL_ZEROPAGE = 1         ;Set to nonzero to use additional zeropage
                                ;variables to shorten loader code
LOAD_UNDER_IO   = 1             ;Set to nonzero to enable possibility to load
                                ;under I/O areas, and to load packed data
                                ;under the Kernal ROM.
NTSC_RASTER_DETECTION = 1       ;Set to nonzero to detect PAL/NTSC by measuring
                                ;greatest rasterline number, or to zero, to
                                ;rely on the value reported in $02a6
REU_SUPPORT     = 0             ;Set to one to include REU+SuperRAM buffering
                                ;support
SLOWLOAD_SUPPORT = 1            ;Set to one to include loading using Kernal
HISCORE_SUPPORT = 0             ;Set to nonzero to include hiscore load/save
LOADFILE_UNPACKED = 0           ;Set to nonzero to include unpacked loading
LOADFILE_EXOMIZER = 1           ;Set to nonzero to include EXOMIZER loading
LOADFILE_PUCRUNCH = 0           ;Set to nonzero to include PUCRUNCH loading

LITERAL_SEQUENCES_NOT_USED = 0  ;(EXOMIZER only): set to nonzero for shorter
                                ;depacker, if you use -c switch to disable
                                ;literal sequences in Exomizer 2, or if you
                                ;use Exomizer 1.
FORWARD_DECRUNCHING = 0         ;(EXOMIZER only): set to nonzero if you use -f
                                ;switch in Exomizer 2, zero for Exomizer 1.

RETRIES         = 5             ;Retries when reading a sector

loadbuffer      = $0400         ;256 byte table used by fastloader & REU

depackbuffer    = $0500         ;156 bytes for EXOMIZER tables, 31 for
                                ;PUCRUNCH.

zpbase          = $74           ;Zeropage base address. Loader needs 2
                                ;addresses with unpacked, 3 with PUCRUNCH
                                ;and 8 with EXOMIZER loading.

zpbase2         = $7c           ;Additional 4 zeropage (6 with REU buffering)
                                ;addresses for shortening the loader code
                                ;(optional)
